Hello Daniel,

DB> JZ <usenet / zabiello.com> writes:

>> Whatever Ruby module I want to install under Cygwin I always get the
>> same error: ruby: No such file to load -- ubygems (LoadError)

DB> Sounds like someone is using `-rubygems' instead of `-rrubygems'.
DB> (Sorry for stating the obvious.)

No this is not the problem, it's just one more of this quick and
dirty hacks (that i don't like in ruby). To make it more readable
someone had to the great idea to write a "ubygems.rb" file that
contains only one line "require 'rubygems'". The 'ubygems.rb' is
included by default in the one-click-installer and the rubygems
package.

And setting RUBYOPT by default is IMHO another quick and dirty hack.


-- 
 Best regards,                        emailto: scholz at scriptolutions dot com
 Lothar Scholz                        http://www.ruby-ide.com
 CTO Scriptolutions                   Ruby, PHP, Python IDE 's